# Installs packages on the computational nodes

# Ensures that R can use the library folder
mkdir --parents /unlock/infrastructure/R/library

################################################################
# Conda environments
################################################################

# Update conda
conda update -y -n base -c defaults conda

## Conda environment for picrust
conda update -y -n base conda

# New attempt for picrust
source /root/miniconda/bin/activate
mamba create --yes --prefix /unlock/infrastructure/conda/picrust2 -c bioconda -c conda-forge picrust2=2.4.2

# Krona
mamba create --yes --prefix /unlock/infrastructure/conda/krona
mamba install --yes -c bioconda krona
ktUpdateTaxonomy.sh 

# Medaka
source /root/miniconda/bin/activate 
mamba create --yes --prefix /unlock/infrastructure/conda/medaka -c bioconda -c conda-forge medaka=1.5.0

################################################################
# Pip environment
################################################################

# Python virtual environment
python3 -m venv /unlock/infrastructure/venv
# Activate venv
source /unlock/infrastructure/venv/bin/activate
# Upgrade because we can
/unlock/infrastructure/venv/bin/python3 -m pip install --upgrade pip

## HUMAnN 3 meta-omics only available via pip
python3 -m pip install humann --no-binary :all:
python3 -m pip install metaphlan --no-binary :all:
humann_config --update database_folders nucleotide /unlock/references/databases/HUMAnN/chocophlan
humann_config --update database_folders utility_mapping /unlock/references/databases/HUMAnN/utility_mapping
humann_config --update database_folders protein /unlock/references/databases/HUMAnN/uniref

## Pip dependencies
python3 -m pip install wheel biom-format pysam numpy matplotlib checkm-genome gtdbtk rdflib python-irodsclient html5lib

python3 -m pip install cwltool==3.1.20211004060744
cwltool --version && python3 -m pip install html5lib

## Pip quast rc1 for 3.9 support
wget https://github.com/ablab/quast/releases/download/quast_5.1.0rc1/quast-5.1.0rc1.tar.gz
pip install quast-5.1.0rc1.tar.gz

## CheckM
checkm data setRoot /unlock/references/databases/CheckM/

# R packages
R -e "install.packages('docopt',dependencies=TRUE, repos='https://packagemanager.rstudio.com/all/__linux__/bionic/latest')"
Rscript /scripts/install2.R -n 10 -s -l /unlock/infrastructure/R/library -r https://packagemanager.rstudio.com/all/__linux__/bionic/latest data.table futile.logger ggplot2 optparse plyr readr reshape2 scales viridis yaml parallel castor